<div [ngClass]="jds.mb(12)">
  <jds-bi-scrollbar [ngClass]="[jds.maxH(250)]">
    <div
      [ngClass]="[jds.ps(0), jds.mb(0), jds.list('none'), jds.h('auto')]"
      data-mcs-theme="dark"
    >
      @for (item of checklist(); track item.tag; let i = $index) {
        <button
          [ngClass]="[
            jds.me(4),
            jds.mb(8),
            jds.rounded(100),
            jds.borderColor('transparent')
          ]"
          [colorScheme]="item.checked ? colorScheme : 'gray'"
          [variant]="item.checked ? 'solid' : 'input'"
          (click)="onFilter(item.tag, (item.checked = !item.checked))"
          type="button"
          size="sm"
          jdsBiButton
        >
          {{ item.tag }}
        </button>
      }
    </div>
  </jds-bi-scrollbar>
</div>
